How To Install Flowblade Video Editor For Linux [Guide]

There is no shortage of advanced video editing tools on Linux. In fact, there are excellent choices out there like Kdenlive, Avidemux, etc. However, for as good as all these applications are, they don’t try to target serious video editors. Instead, they strive to offer up a competent, open-source alternative video editor. There’s nothing wrong with that. Still, if these editing tools don’t meet the mark, it may be worth giving this Flowblade video editor a shot.

Flowblade is a robust, non-linear video editing application for the Linux desktop. It’s filled to the brim with a ton of advanced features. Best of all, the app explicitly targets film editors by including features and an interface that most people are comfortable with.

Install Flowblade Video Editor

 Ubuntu

The Flowblade video editor is readily available for Ubuntu users via the Ubuntu software sources. No additional PPAs or downloadable files are required. Just open up a terminal and enter the following command:

sudo apt install flowblade

Debian

Debian users will be able to install the Flowblade video editor with a simple command.

sudo apt install flowblade

Due to the nature of how Debian works, users may be unhappy with how far behind the version of Flowblade is. If you’re looking to get the absolute latest features, it’s a good idea to download the Debian package file from the website and install that instead.

‘); if (navigator.appVersion.indexOf(“Mac”)!=-1) document.write(”);

To get the latest Debian package of Flowblade, go to the official release page. Once you’ve got the file downloaded, open up a terminal window and use the CD command to move the terminal to the ~/Downloads directory.

cd ~/Downloads

Inside the ~/Downloads folder, use the dpkg command to install the latest version of Flowblade.

sudo dpkg -i flowblade-*_all.deb

Please understand that if you already have the older version installed (via the command above), the new Flowblade package will be treated as an update. If you don’t want it to be treated like an update, follow this process.

sudo apt remove flowblade --purge

Then, run dpkg to install the package version, as usual.

sudo dpkg -i flowblade-*_all.deb

Arch Linux

Arch Linux has support for Flowblade via the Arch Linux User Repository. To get started installing this software on Arch, you’ll first need to use the Pacman packaging tool to install the latest version of the Git tool. Git is required to interact with the AUR (without the help of an AUR wrapper), as well as source code, etc.

sudo pacman -S git

With the Git tool on your Arch PC, use it to grab the latest pkgbuild of the Flowblade video editor.

git clone https://aur.archlinux.org/flowblade.git

Move the terminal window to the newly cloned flowblade folder.

cd flowblade

Inside the Flowblade folder, you’ll need to start the package generation process. Keep in mind that Flowblade will build from source, and may take a while. Usually, when running the makepkg command, the dependencies are taken care of automatically. However, sometimes this fails (generally if the dependencies the package needs are only available in an AUR package).

If for some reason you need to install dependencies manually, visit the Flowblade AUR page and scroll down to “dependencies.”

Build and install Flowblade for Arch Linux with:

makepkg -si

Fedora

Getting Flowblade on Fedora first requires the RPM Fusion software repository. To add it, download the RPM with DNF.

Note: change X to fit your version of Fedora.

sudo dnf install http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-X.noarch.rpm

With RPM Fusion on Fedora, it’s safe to get Flowblade.

sudo dnf install flowblade

OpenSUSE

OpenSUSE can run the Flowblade video editor, but to install it, users will need to enable a third-party software source. Using Zypper, add the Packman repo:

Leap 42.3

sudo zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_42.3/ packman

Tumbleweed

sudo zypper addrepo http://packman.inode.at/suse/openSUSE_Tumbleweed/ packman

Refresh Suse’s software repositories, and install Flowblade.

sudo zypper ref  sudo zypper install flowblade

Flatpak

If your Linux operating system isn’t in the list of installation instructions, there may be a chance that your Linux distribution doesn’t support Flowblade with an installable binary. If this is the case, the best alternative is to go the Flatpak route instead. Using Flatpak is excellent, as it’s on virtually every Linux distribution. As long as you can install Gnome, you’ll probably be able to use Flatpak technology.

To use the Flatpak version of the Flowblade video editor, you’ll first need to enable the Flatpak technology on your Linux distribution. Check out our guide here and learn how to set it up. When it’s working, open up a terminal window and use the command below to install the Flowblade video editor.

First, add the Flathub software repository to your Flatpak. Adding this source is essential, as Flowblade is only installable from Flathub.

sudo flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

Now that the Flathub software source is enabled, you’ll be able to install the Flowblade video editor.

sudo flatpak install --from https://flathub.org/repo/appstream/io.github.jliljebl.Flowblade.flatpakref -y

Note: add -y to the end of the installation command to avoid having to select “yes” during installation.

How To Install Flowblade Video Editor For Linux [Guide]
Rate this post
About Alex Miller 4751 Articles
Alex Miller is a bestselling Tech author currently working here. His work has received a lot of appreciation from users and is being made to work hard to meet the user's expectations.

Be the first to comment

Leave a Reply

Your email address will not be published.


*